<?php 
error_reporting(E_NO);
session_start(); 

if(strlen($_POST["kasutaja"]) && strlen($_POST["pass"])) 
{ 
  mysql_connect("localhost","allan","swiuno97");
  mysql_select_db("allan");
$sqlcmd='select count(id) from kasutajad where kasutajanimi="'.addslashes($_POST["kasutaja"]).'" AND password=password("'.addslashes($_POST["pass"]).'")'; 
$result = mysql_query($sqlcmd); 
$i = mysql_fetch_row($result); 
//kui nimi ja pass ei klappinud... 
if($i[0]!=1) 
{ 
    header('Location: login.php'); 
    exit(); 
} 
elseif($i[0]==1) 
{ 
    session_start(); 
    $_SESSION["kasutaja"] = kasutajanimi; 
    $_SESSION["password"] = password; 
    header("location: Avaleht.php"); 
    exit(); 
} 
} 
//juhul, kui $_POST["kasutaja"] ei ole pikkust... 
else 
{ 
    //...saadame kasutaja logimisele 
    header("location: Avaleht.php"); 
    exit(); 
} 
?> 